Package org.eclipse.emf.cdo.server.net4j

## Class FailoverMonitor.AbstractServerProtocolFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.ServerProtocolFactory
    - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory

- All Implemented Interfaces:
    `FailoverMonitor.Provider`, `org.eclipse.net4j.util.factory.IFactory`
  Direct Known Subclasses:
    `FailoverMonitor.AgentProtocol.Factory`, `FailoverMonitor.ClientProtocol.Factory`
  Enclosing class:
    FailoverMonitor

      public abstract static class FailoverMonitor.AbstractServerProtocolFactory
      extends org.eclipse.spi.net4j.ServerProtocolFactory
      implements FailoverMonitor.Provider

  An abstract base class for the `server-side protocol factories` required by a `fail-over monitor`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.spi.net4j.ServerProtocolFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractServerProtocolFactory​(java.lang.String type)` |
    `protected` | `AbstractServerProtocolFactory​(java.lang.String type, org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FailoverMonitor` | `getFailoverMonitor​(java.lang.String group)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Constructor Detail

    - #### AbstractServerProtocolFactory

          protected AbstractServerProtocolFactory​(java.lang.String type)

    - #### AbstractServerProtocolFactory

          protected AbstractServerProtocolFactory​(java.lang.String type,
                                                  org.eclipse.net4j.util.container.IManagedContainer container)

  - ### Method Detail

    - #### getFailoverMonitor

          public FailoverMonitor getFailoverMonitor​(java.lang.String group)

      Specified by:
        `getFailoverMonitor` in interface `FailoverMonitor.Provider`